## pdns-recursor 3.1.4

=== Makefile ===
# user editable stuff:
SBINDIR=/usr/sbin/
BINDIR=/usr/bin/
CONFIGDIR="/etc/powerdns/"
OPTFLAGS?=-O3
CXXFLAGS:= $(CXXFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS)
CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS)
LINKCC=$(CXX)
CC?=gcc

# static dependencies

PDNS_RECURSOR_OBJECTS=syncres.o  misc.o unix_utility.o qtype.o logger.o  \
arguments.o lwres.o pdns_recursor.o recursor_cache.o dnsparser.o \
dnswriter.o dnsrecords.o rcpgenerator.o base64.o zoneparser-tng.o \
rec_channel.o rec_channel_rec.o malloc.o selectmplexer.o

REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o 

# what we need 
all: message pdns_recursor rec_control 

# OS specific instructions
-include sysdeps/$(shell uname).inc

ifeq ($(STATIC),semi)
        STATICFLAGS=-Wl,-Bstatic -lstdc++ -lgcc -Wl,-Bdynamic -static-libgcc -lm -lc
        LINKCC=$(CC)
endif
ifeq ($(STATIC),full)
        STATICFLAGS=-lstdc++ -lm -static
        LINKCC=$(CC)
endif

LDFLAGS += $(PROFILEFLAGS) $(STATICFLAGS)

message: 
	@echo
	@echo PLEASE READ: If you get an error mentioning \#include '<boost/something.hpp>', please read README
	@echo PLEASE READ: for an easy fix!
	@echo 

basic_checks: 
	@-rm -f pdns_hw
	-$(CXX) $(CXXFLAGS)  pdns_hw.cc -o pdns_hw 
	@echo
	@if test -x ./pdns_hw ; \
		 then if ./pdns_hw; then echo Everything ok, now run $(MAKE) using same settings \(if any\) you passed ./configure; else echo Could compile binary, but not run it, read README please ; fi; \
	 else 	\
	 	echo; echo Could not compile simple binary, read README please; \
		rm -f dep ; \
	 fi

install: all
	-mkdir -p $(DESTDIR)/$(SBINDIR)
	mv pdns_recursor $(DESTDIR)/$(SBINDIR)
	strip $(DESTDIR)/$(SBINDIR)/pdns_recursor
	mkdir -p $(DESTDIR)/$(BINDIR)
	mv rec_control $(DESTDIR)/$(BINDIR)
	strip $(DESTDIR)/$(BINDIR)/rec_control
	-mkdir -p $(DESTDIR)/$(CONFIGDIR)
	$(DESTDIR)/$(SBINDIR)/pdns_recursor --config > $(DESTDIR)/$(CONFIGDIR)/recursor.conf-dist
	-mkdir -p $(DESTDIR)/usr/share/man/man1
	cp pdns_recursor.1 rec_control.1 $(DESTDIR)/usr/share/man/man1
	$(OS_SPECIFIC_INSTALL)	

clean:
	-rm -f dep *.o *~ pdns_recursor rec_control optional/*.o
	
dep:
	$(CXX) $(CXXFLAGS) -MM -MG *.cc *.hh > $@

-include dep

optional:
	mkdir optional

pdns_recursor: optional $(OPTIONALS) $(PDNS_RECURSOR_OBJECTS) 
	$(LINKCC) $(PDNS_RECURSOR_OBJECTS) $(wildcard optional/*.o) $(LDFLAGS) -o $@

rec_control: $(REC_CONTROL_OBJECTS)
	$(LINKCC) $(REC_CONTROL_OBJECTS) $(LDFLAGS) -o $@

## pdns-recursor 3.1.7

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,26 @@
 BINDIR=/usr/bin/
 CONFIGDIR="/etc/powerdns/"
 OPTFLAGS?=-O3
-CXXFLAGS:= $(CXXFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS)
+CXXFLAGS:= $(CXXFLAGS) -Wall -DBOOST_SP_DISABLE_THREADS $(OPTFLAGS) $(PROFILEFLAGS)
 CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS)
 LINKCC=$(CXX)
 CC?=gcc
+
+# Lua 5.1 settings
+LUA_CPPFLAGS_CONFIG ?= -I/usr/include/lua5.1
+LUA_LIBS_CONFIG ?= -llua5.1
+
+# Lua 5.0 settings
+#LUA_CPPFLAGS_CONFIG=-I/usr/include/lua50 
+#LUA_LIBS_CONFIG=-llua50 -llualib50
 
 # static dependencies
 
 PDNS_RECURSOR_OBJECTS=syncres.o  misc.o unix_utility.o qtype.o logger.o  \
 arguments.o lwres.o pdns_recursor.o recursor_cache.o dnsparser.o \
 dnswriter.o dnsrecords.o rcpgenerator.o base64.o zoneparser-tng.o \
-rec_channel.o rec_channel_rec.o malloc.o selectmplexer.o
+rec_channel.o rec_channel_rec.o selectmplexer.o sillyrecords.o \
+dns_random.o aescrypt.o aeskey.o aes_modes.o aestab.o lua-pdns-recursor.o
 
 REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o 
 
@@ -23,14 +32,23 @@
 # OS specific instructions
 -include sysdeps/$(shell uname).inc
 
+ifeq ($(LUA), 1)
+	LUALIBS=$(LUA_LIBS_CONFIG)
+	CXXFLAGS+=$(LUA_CPPFLAGS_CONFIG) -DPDNS_ENABLE_LUA
+endif
+
+
 ifeq ($(STATIC),semi)
-        STATICFLAGS=-Wl,-Bstatic -lstdc++ -lgcc -Wl,-Bdynamic -static-libgcc -lm -lc
-        LINKCC=$(CC)
+	STATICFLAGS=-Wl,-Bstatic -lstdc++ $(LUALIBS) -lgcc -Wl,-Bdynamic -static-libgcc -lm -lc
+	LINKCC=$(CC)
+	LDFLAGS += malloc.o -ldl -lm
+else ifeq ($(STATIC),full)
+	STATICFLAGS=-lstdc++ $(LUALIBS) -ldl -lm -static 
+	LINKCC=$(CC)
+else
+	LDFLAGS += malloc.o $(LUALIBS)
 endif
-ifeq ($(STATIC),full)
-        STATICFLAGS=-lstdc++ -lm -static
-        LINKCC=$(CC)
-endif
+
 
 LDFLAGS += $(PROFILEFLAGS) $(STATICFLAGS)
 
@@ -68,14 +86,14 @@
 	-rm -f dep *.o *~ pdns_recursor rec_control optional/*.o
 	
 dep:
-	$(CXX) $(CXXFLAGS) -MM -MG *.cc *.hh > $@
+	$(CXX) $(CXXFLAGS) -MM -MG *.cc *.c *.hh > $@
 
 -include dep
 
 optional:
 	mkdir optional
 
-pdns_recursor: optional $(OPTIONALS) $(PDNS_RECURSOR_OBJECTS) 
+pdns_recursor: optional $(OPTIONALS) $(PDNS_RECURSOR_OBJECTS) malloc.o
 	$(LINKCC) $(PDNS_RECURSOR_OBJECTS) $(wildcard optional/*.o) $(LDFLAGS) -o $@
 
 rec_control: $(REC_CONTROL_OBJECTS)

## pdns-recursor 3.2

=== Makefile ===
--- 
+++ 
@@ -3,18 +3,14 @@
 BINDIR=/usr/bin/
 CONFIGDIR="/etc/powerdns/"
 OPTFLAGS?=-O3
-CXXFLAGS:= $(CXXFLAGS) -Wall -DBOOST_SP_DISABLE_THREADS $(OPTFLAGS) $(PROFILEFLAGS)
-CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS)
+CXXFLAGS:= $(CXXFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) -pthread
+CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) -pthread
+LDFLAGS:=$(LDFLAGS) -pthread
+
 LINKCC=$(CXX)
 CC?=gcc
 
 # Lua 5.1 settings
-LUA_CPPFLAGS_CONFIG ?= -I/usr/include/lua5.1
-LUA_LIBS_CONFIG ?= -llua5.1
-
-# Lua 5.0 settings
-#LUA_CPPFLAGS_CONFIG=-I/usr/include/lua50 
-#LUA_LIBS_CONFIG=-llua50 -llualib50
 
 # static dependencies
 
@@ -22,7 +18,8 @@
 arguments.o lwres.o pdns_recursor.o recursor_cache.o dnsparser.o \
 dnswriter.o dnsrecords.o rcpgenerator.o base64.o zoneparser-tng.o \
 rec_channel.o rec_channel_rec.o selectmplexer.o sillyrecords.o \
-dns_random.o aescrypt.o aeskey.o aes_modes.o aestab.o lua-pdns-recursor.o
+dns_random.o aescrypt.o aeskey.o aes_modes.o aestab.o lua-pdns-recursor.o \
+randomhelper.o recpacketcache.o dns.o reczones.o
 
 REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o 
 
@@ -41,12 +38,14 @@
 ifeq ($(STATIC),semi)
 	STATICFLAGS=-Wl,-Bstatic -lstdc++ $(LUALIBS) -lgcc -Wl,-Bdynamic -static-libgcc -lm -lc
 	LINKCC=$(CC)
-	LDFLAGS += malloc.o -ldl -lm
-else ifeq ($(STATIC),full)
+	LDFLAGS += -ldl -lm
+else 
+   ifeq ($(STATIC),full)
 	STATICFLAGS=-lstdc++ $(LUALIBS) -ldl -lm -static 
 	LINKCC=$(CC)
-else
-	LDFLAGS += malloc.o $(LUALIBS)
+   else
+	LDFLAGS +=  $(LUALIBS)
+   endif
 endif
 
 
@@ -82,8 +81,11 @@
 	cp pdns_recursor.1 rec_control.1 $(DESTDIR)/usr/share/man/man1
 	$(OS_SPECIFIC_INSTALL)	
 
-clean:
-	-rm -f dep *.o *~ pdns_recursor rec_control optional/*.o
+clean: binclean
+	-rm -f dep *~ *.gcda *.gcno optional/*.gcda optional/*.gcno
+
+binclean:
+	-rm -f *.o  pdns_recursor rec_control optional/*.o
 	
 dep:
 	$(CXX) $(CXXFLAGS) -MM -MG *.cc *.c *.hh > $@
@@ -93,7 +95,7 @@
 optional:
 	mkdir optional
 
-pdns_recursor: optional $(OPTIONALS) $(PDNS_RECURSOR_OBJECTS) malloc.o
+pdns_recursor: optional $(OPTIONALS) $(PDNS_RECURSOR_OBJECTS) 
 	$(LINKCC) $(PDNS_RECURSOR_OBJECTS) $(wildcard optional/*.o) $(LDFLAGS) -o $@
 
 rec_control: $(REC_CONTROL_OBJECTS)

=== debian/changelog ===
pdns-recursor (3.2-4) unstable; urgency=high

  * Upgrading from a previous version fails when the pdns-recursor isn't
    started, this is RC bug hence urgency high. (Closes: #565415)
  * Fix watch file
  * Fix FTBFS on hurd again.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Tue, 20 Jul 2010 13:42:45 +0200

pdns-recursor (3.2-3) unstable; urgency=low

  * Add watch file
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix FTBFS on hurd
  * Update logcheck rules. (Closes: #588135)
  * Update Standards-Version to 3.9.0
  * Use dh_installinit instead of the pdns-recursor.install file.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 19 Jul 2010 14:39:02 +0200

pdns-recursor (3.2-2) unstable; urgency=low

  * Remove Christoph Haas from Uploaders. Thanks for the great work!
  * Add fix for FTBFS thanks to Petr Salinger <Petr.Salinger@seznam.cz>
    (Closes: #575006)
  * Make pdns-recursor on startup less chatty (Closes: #438469)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sat, 03 Apr 2010 13:46:23 +0200

pdns-recursor (3.2-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version to 3.8.4
  * Fix boot order, thanks to Petter Reinholdtsen (Closes: #566877)
  * All architectures enabled, needs testing (Closes: #489925)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Wed, 17 Mar 2010 10:59:28 +0100

pdns-recursor (3.1.7.2-1) unstable; urgency=high

  * New upstream version. (CVE-2009-4009 and CVE-2009-4010) (Closes: #564145)
  * Make lintian happy.
  * Now really add sh4 to the architecture list. (Closes: #551153)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 08 Jan 2010 18:14:44 +0100

pdns-recursor (3.1.7.1-4) unstable; urgency=low

  * Add mips, mipsel and sh4 to the supported list of architectures, only arm,
    armel and armeb are missing. See #369453 (Closes: #551153)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Fri, 06 Nov 2009 18:09:29 +0100

pdns-recursor (3.1.7.1-3) unstable; urgency=low

  * Update incorrect dependencies in the init.d script. (Closes: #547033)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 11 Oct 2009 18:46:58 +0200

pdns-recursor (3.1.7.1-2) unstable; urgency=low

  * Fixing FTBFS on several archs (Closes: #540867, #541689)
  * Added hppa and sparc architectures. See #489925, leaving open because of
    more unsupported architectures.

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 16 Aug 2009 15:39:54 +0200

pdns-recursor (3.1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #497920)
  * Using new patch system quilt.
  * Updated Standards-Version to 3.8.2
  * Enable lua scripting support (Closes: #534893)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 09 Aug 2009 12:58:06 +0200

pdns-recursor (3.1.7-5) unstable; urgency=low

  * Fix FTBFS bug with GCC 4.4 (closes: #506003)
  * Make pdns-recursor available on hppa and sparc (closes: #489925)
    by adding libc6-dev in a recent version to debian/control

 -- Christoph Haas <haas@debian.org>  Wed, 13 May 2009 21:36:55 +0200

pdns-recursor (3.1.7-4) unstable; urgency=low

  * Fix FTBFS bug (closes: #528164)

 -- Christoph Haas <haas@debian.org>  Mon, 11 May 2009 22:24:44 +0200

pdns-recursor (3.1.7-3) unstable; urgency=low

  * Fixed repository URL (SVN->Git)
  * Increased policy version to 3.8.0 (lintian warning)
  * Added proper description for gcc-4.2-ftbfs-fix.dpatch dpatch
    (lintian warning)
  * Fixed PIDFILE setting in init.d script (thanks to Serge Belyshev)

 -- Christoph Haas <haas@debian.org>  Sun, 14 Sep 2008 22:48:59 +0200

pdns-recursor (3.1.7-2) unstable; urgency=low

  * Regard return code from stopping pdns in init.d script (Closes: #478593) 
  * Fixed init.d script's force-stop function.

 -- Christoph Haas <haas@debian.org>  Sun, 14 Sep 2008 17:36:42 +0200

pdns-recursor (3.1.7-1) unstable; urgency=low

  * New upstream version (Closes: #490069) (Closes: #477130)
  * init.d scripts gets socket-dir information from recursor.conf
    (Closes: #471568)
  * Added config file directives
  * Set dont-query to nothing so it won't break pre-3.1.7 configs. (Closes: #476841)

 -- Christoph Haas <haas@debian.org>  Mon, 31 Mar 2008 21:51:59 +0200

pdns-recursor (3.1.4-6) unstable; urgency=low

  * Standards-Version 3.7.3.0
  * Remove pdns_hw too on cleanup.
  * Fix for truncating long TXT queries (Closes: #462114)
  * Don't ignore build errors (Closes: #462128)
  * Build option noopt was inoperative (Closes: #462126)
  * Added gcc 4.3 fixes from upstream (Closes: #455631)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Wed, 13 Feb 2008 22:49:08 +0100

pdns-recursor (3.1.4-5) unstable; urgency=low

  * daemon=no is now working if used in /etc/powerdns/recursor.conf
    (Closes: #440020)
  * patch added to reflect change of L root server (Closes: #449483)
  * Makefile patched to prevent stripping of binaries (Closes: #437765)

 -- Christoph Haas <haas@debian.org>  Fri, 09 Nov 2007 21:57:58 +0100

pdns-recursor (3.1.4-4) unstable; urgency=low

  * Update to debhelper 5.
  * Fix lintian warning: debian-rules-sets-DH_COMPAT.
  * Restore the changelog, it was partly removed by accident. (Closes: #421393)
  * Fix FTBFS with gcc-4.2 (Closes: #387113)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Sun, 03 Jun 2007 15:11:22 +0200

pdns-recursor (3.1.4-3) unstable; urgency=low

  * Stop/stop script does not return an error code when being called as
    'stop' when the service is actually not running. (Closes: #406428)

 -- Debian PowerDNS Maintainers <powerdns-debian@workaround.org>  Wed, 21 Feb 2007 23:10:00 +0200

pdns-recursor (3.1.4-2) unstable; urgency=medium

  * Run pdns-recursor by default as non-privileged user. (Closes: #399669)
  * swapcontext is supported by kfreebsd (Fixes a FTBFS) (Closes: #403746)
  * Added lsb-base to the dependencies. (Closes: #402732)

 -- Matthijs Mohlmann <matthijs@cacholong.nl>  Mon, 25 Dec 2006 14:00:10 +0100

pdns-recursor (3.1.4-1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: pdns-recursor
Section: net
Priority: extra
Standards-Version: 3.9.0
Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
Build-Depends: debhelper (>= 5.0.0), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
Vcs-Git: git://github.com/Signum/debian-pdns-recursor.git

Package: pdns-recursor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
Replaces: pdns
Recommends: pdns-doc
Description: PowerDNS recursor
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the recursive nameserver that goes out to the internet and
 resolve queries about other domains.

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CXXFLAGS = -Wall -g
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	OPTFLAGS += -O0
else
	OPTFLAGS += -O3
endif

export CXXFLAGS CFLAGS OPTFLAGS

# Include quilt patch system
include /usr/share/quilt/quilt.make

# Targets
configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# Add here commands to configure the package.
	./configure
	
	touch configure-stamp

build: patch build-stamp
build-stamp: configure
	
	# Add here commands to compile the arch part of the package.
	$(MAKE) LUA=1
	
	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	# Add here commands to clean up after the build process.
	rm -rf dep *.o *~ pdns_recursor pdns_hw rec_control optional/*.o optional
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Install the stuff
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	
	dh_install

# Build architecture (in)dependant packages.
binary-indep:
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installman -a
	dh_installlogcheck -a
	dh_installinit -a --error-handler=initscript_error -- defaults 19 85
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure clean1

## pdns-recursor 3.3

=== debian/changelog ===
pdns-recursor (3.3-1) unstable; urgency=low

  * New upstream release. (Closes: #565052)
  * Init loop is fixed in pdns (Closes: #594805)
  * Now my name is spelled correctly.
  * Update Standards-Version to 3.9.1
  * Update the recursor.conf and include new configuration parameters.
  * Add debug package (Closes: #594243)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 22 Jan 2011 16:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdns-recursor
 Section: net
 Priority: extra
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
 Build-Depends: debhelper (>= 5.0.0), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
 Vcs-Git: git://github.com/Signum/debian-pdns-recursor.git
@@ -20,3 +20,15 @@
  This is the recursive nameserver that goes out to the internet and
  resolve queries about other domains.
 
+Package: pdns-recursor-dbg
+Section: debug
+Architecture: any
+Depends: pdns-recursor (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for PowerDNS recursor
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains debugging symbols for PowerDNS to assist in
+ debugging, such as with gdb. It is not required for normal operation.

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	dh_installlogcheck -a
 	dh_installinit -a --error-handler=initscript_error -- defaults 19 85
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --dbg-package=pdns-recursor-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a

## pdns-recursor 3.5.3

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 BINDIR=/usr/bin/
 CONFIGDIR="/etc/powerdns/"
 OPTFLAGS?=-O3
-CXXFLAGS:= $(CXXFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) -pthread
-CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) -pthread
-LDFLAGS:=$(LDFLAGS) -pthread
+CXXFLAGS:= $(CXXFLAGS) -Iext/rapidjson/include -Wall $(OPTFLAGS) $(PROFILEFLAGS) $(ARCHFLAGS) -pthread
+CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) $(ARCHFLAGS) -pthread
+LDFLAGS:=$(LDFLAGS) $(ARCHFLAGS) -pthread
 
 LINKCC=$(CXX)
 CC?=gcc
@@ -18,10 +18,12 @@
 arguments.o lwres.o pdns_recursor.o recursor_cache.o dnsparser.o \
 dnswriter.o dnsrecords.o rcpgenerator.o base64.o zoneparser-tng.o \
 rec_channel.o rec_channel_rec.o selectmplexer.o sillyrecords.o \
-dns_random.o aescrypt.o aeskey.o aes_modes.o aestab.o lua-pdns-recursor.o \
-randomhelper.o recpacketcache.o dns.o reczones.o
+dns_random.o aescrypt.o aeskey.o aes_modes.o aestab.o dnslabeltext.o \
+lua-pdns.o lua-recursor.o randomhelper.o recpacketcache.o dns.o \
+reczones.o base32.o nsecrecords.o json.o json_ws.o
 
-REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o 
+REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o misc.o \
+	unix_utility.o logger.o qtype.o
 
 # what we need 
 all: message pdns_recursor rec_control 
@@ -31,7 +33,7 @@
 
 ifeq ($(LUA), 1)
 	LUALIBS=$(LUA_LIBS_CONFIG)
-	CXXFLAGS+=$(LUA_CPPFLAGS_CONFIG) -DPDNS_ENABLE_LUA
+	CXXFLAGS+=$(LUA_CPPFLAGS_CONFIG) -DPDNS_ENABLE_LUA -DHAVE_LUA
 endif

=== debian/changelog ===
pdns-recursor (3.5.3-1ubuntu0.1) trusty-security; urgency=high

  * SECURITY UPDATE:
  * References
  * CVE-2014-8601: PowerDNS Recursor before 3.6.2 does not limit delegation
    chaining, which allows remote attackers to cause a denial of service
    ("performance degradations") via a large or infinite number of referrals,
    as demonstrated by resolving domains hosted by ezdns.it.
    - Added debian/patches/CVE-2014-8601.patch
  * CVE-2015-1868: The label decompression functionality in PowerDNS Recursor
    3.5.x, 3.6.x before 3.6.3, and 3.7.x before 3.7.2 and Authoritative (Auth)
    Server 3.2.x, 3.3.x before 3.3.2, and 3.4.x before 3.4.4 allows remote
    attackers to cause a denial of service (CPU consumption or crash) via a
    request with a name that refers to itself.
    - Added debian/patches/CVE-2015-1868.patch
  * CVE-2015-5470: The label decompression functionality in PowerDNS Recursor
    before 3.6.4 and 3.7.x before 3.7.3 and Authoritative (Auth) Server before
    3.3.3 and 3.4.x before 3.4.5 allows remote attackers to cause a denial of
    service (CPU consumption or crash) via a request with a long name that
    refers to itself. NOTE: this vulnerability exists because of an incomplete
    fix for CVE-2015-1868.
    - Added debian/patches/CVE-2015-1868-2.patch
  * CVE-2016-7068: Florian Heinz and Martin Kluge reported that pdns-recursor
    parses all records present in a query regardless of whether they are
    needed or even legitimate, allowing a remote, unauthenticated attacker to
    cause an abnormal CPU usage load on the pdns server, resulting in a
    partial denial of service if the system becomes overloaded.
    - Added debian/patches/CVE-2016-7068.patch
  * Add debian/patches/qtypes.patch so qtypes required for CVE-2016-7068.patch
    are available

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Jan 2017 15:20:50 -0500

pdns-recursor (3.5.3-1) unstable; urgency=low

  * New upstream version

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sun, 22 Sep 2013 14:45:58 +0200

pdns-recursor (3.5.2-2) unstable; urgency=low

  * Enable on all architectures (Closes: #579194)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Sat, 24 Aug 2013 16:13:37 +0200

pdns-recursor (3.5.2-1) unstable; urgency=low

  * New upstream version (Closes: #710048, #682851, #671592, #697355, #649724)
    - Refresh patches
  * Improve the patch to make pdns-recursor less chatty
  * Standards-Version: 3.9.4 (no changes necessary)
  * Remove pdns_hw on cleanup (Closes: #652833)

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Tue, 06 Aug 2013 21:43:01 +0200

pdns-recursor (3.3-3) unstable; urgency=low

  * new maintainer team
  * new Vcs links
  * add Homepage
  * debhelper 9 (enable hardening) (Closes: 656859)
  * prepare new version
  * set unapply-patches
  * set Architecture to "all but arm{el,hf}" (Closes: 661959)
  * Standards-Version: 3.9.3 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 18 Jun 2012 14:45:50 +0000

pdns-recursor (3.3-2) unstable; urgency=low

  * Fix my name in the init script and debian/control too.
  * Update Standards-Version to 3.9.2
  * Use new build system dh instead of individual dh_* commands.

 -- Matthijs Möhlmann <matthijs@cacholong.nl>  Mon, 08 Aug 2011 11:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: pdns-recursor
 Section: net
 Priority: extra
-Standards-Version: 3.9.1
-Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
-Build-Depends: debhelper (>= 5.0.0), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
-Vcs-Git: git://github.com/Signum/debian-pdns-recursor.git
+Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
+Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>= 9~), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
+Vcs-Git: git://git.debian.org/pkg-pdns/pdns-recursor.git
+Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns-recursor.git
+Homepage: http://www.powerdns.com/
 
 Package: pdns-recursor
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Enable lua
export LUA := 1

# Use new build system
%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=pdns-recursor-dbg

override_dh_installinit:
	dh_installinit --error-handler=initscript_error -- defaults 19 85

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://downloads.powerdns.com/releases/	pdns-recursor-(.*)\.tar\.bz2	debian	uupdate

## pdns-recursor 3.6.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
 # user editable stuff:
 SBINDIR=/usr/sbin/
 BINDIR=/usr/bin/
-CONFIGDIR="/etc/powerdns/"
+SYSCONFDIR=/etc/powerdns/
+LOCALSTATEDIR=/var/run/
 OPTFLAGS?=-O3
-CXXFLAGS:= $(CXXFLAGS) -Iext/rapidjson/include -Wall $(OPTFLAGS) $(PROFILEFLAGS) $(ARCHFLAGS) -pthread
-CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) $(ARCHFLAGS) -pthread
+CXXFLAGS:= $(CXXFLAGS) -Iext/rapidjson/include -I$(CURDIR)/ext/polarssl-1.3.2/include -Wall $(OPTFLAGS) $(PROFILEFLAGS) $(ARCHFLAGS) -pthread -Iext/yahttp
+CFLAGS:=$(CFLAGS) -Wall $(OPTFLAGS) $(PROFILEFLAGS) $(ARCHFLAGS) -I$(CURDIR)/ext/polarssl-1.3.2/include -pthread
 LDFLAGS:=$(LDFLAGS) $(ARCHFLAGS) -pthread
+STRIP_BINARIES?=1
 
 LINKCC=$(CXX)
 CC?=gcc
@@ -18,18 +20,26 @@
 arguments.o lwres.o pdns_recursor.o recursor_cache.o dnsparser.o \
 dnswriter.o dnsrecords.o rcpgenerator.o base64.o zoneparser-tng.o \
 rec_channel.o rec_channel_rec.o selectmplexer.o sillyrecords.o \
-dns_random.o aescrypt.o aeskey.o aes_modes.o aestab.o dnslabeltext.o \
+dns_random.o ext/polarssl-1.3.2/library/aes.o ext/polarssl-1.3.2/library/padlock.o dnslabeltext.o \
 lua-pdns.o lua-recursor.o randomhelper.o recpacketcache.o dns.o \
-reczones.o base32.o nsecrecords.o json.o json_ws.o
+reczones.o base32.o nsecrecords.o json.o ws-recursor.o ws-api.o \
+version.o responsestats.o webserver.o ext/yahttp/yahttp/reqresp.o \
+rec-carbon.o
 
 REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o misc.o \
 	unix_utility.o logger.o qtype.o
 
 # what we need 
-all: message pdns_recursor rec_control 
+all: message version_generated.h build
 
 # OS specific instructions
 -include sysdeps/$(shell uname).inc
+ifeq ($(shell uname),GNU/kFreeBSD)
+	-include sysdeps/FreeBSD.inc
+endif
+ifeq ($(shell uname),GNU/Hurd)
+	-include sysdeps/Linux.inc
+endif
 
 ifeq ($(LUA), 1)
 	LUALIBS=$(LUA_LIBS_CONFIG)
@@ -53,6 +63,26 @@
 
 LDFLAGS += $(PROFILEFLAGS) $(STATICFLAGS)
 
+CXXFLAGS += -DSYSCONFDIR='"$(SYSCONFDIR)"' -DLOCALSTATEDIR='"$(LOCALSTATEDIR)"'
+CFLAGS += -DSYSCONFDIR='"$(SYSCONFDIR)"' -DLOCALSTATEDIR='"$(LOCALSTATEDIR)"'
+
+%.cc: %.rl
+	ragel $< -o $@
+
+# Version
+build_date=$(shell LC_TIME=C date '+%Y%m%d%H%M%S')
+build_host=$(shell id -u -n)@$(shell hostname -f)
+
+.PHONY: version_generated.h
+version_generated.h:
+	echo '#ifndef VERSION_GENERATED_H' > $@
+	echo '#define VERSION_GENERATED_H' >> $@
+	echo '#include "config.h"' >> $@
+	echo '#define PDNS_VERSION VERSION' >> $@
+	echo '#define BUILD_DATE "$(build_date)"' >> $@
+	echo '#define BUILD_HOST "$(build_host)"' >> $@
+	echo '#endif //!VERSION_GENERATED_H' >> $@
+
 message: 
 	@echo
 	@echo PLEASE READ: If you get an error mentioning \#include '<boost/something.hpp>', please read README
@@ -70,15 +100,19 @@
 		rm -f dep ; \
 	 fi
 
-install: all
+install: build-stamp
 	-mkdir -p $(DESTDIR)/$(SBINDIR)
 	mv pdns_recursor $(DESTDIR)/$(SBINDIR)
+ifeq ($(STRIP_BINARIES), 1)
 	strip $(DESTDIR)/$(SBINDIR)/pdns_recursor
+endif
 	mkdir -p $(DESTDIR)/$(BINDIR)
 	mv rec_control $(DESTDIR)/$(BINDIR)
+ifeq ($(STRIP_BINARIES), 1)
 	strip $(DESTDIR)/$(BINDIR)/rec_control
-	-mkdir -p $(DESTDIR)/$(CONFIGDIR)
-	$(DESTDIR)/$(SBINDIR)/pdns_recursor --config > $(DESTDIR)/$(CONFIGDIR)/recursor.conf-dist
+endif
+	-mkdir -p $(DESTDIR)/$(SYSCONFDIR)
+	$(DESTDIR)/$(SBINDIR)/pdns_recursor --config > $(DESTDIR)/$(SYSCONFDIR)/recursor.conf-dist
 	-mkdir -p $(DESTDIR)/usr/share/man/man1
 	cp pdns_recursor.1 rec_control.1 $(DESTDIR)/usr/share/man/man1
 	$(OS_SPECIFIC_INSTALL)	
@@ -87,10 +121,10 @@
 	-rm -f dep *~ *.gcda *.gcno optional/*.gcda optional/*.gcno
 
 binclean:
-	-rm -f *.o  pdns_recursor rec_control optional/*.o
-	
+	-rm -f *.o pdns_hw pdns_recursor rec_control optional/*.o build-stamp ext/polarssl-1.3.2/library/*.o ext/yahttp/yahttp/*.o version_generated.h
+
 dep:
-	$(CXX) $(CXXFLAGS) -MM -MG *.cc *.c *.hh > $@
+	$(CXX) $(CXXFLAGS) -MM -MG *.cc *.hh > $@
 
 -include dep
 
@@ -103,3 +137,9 @@
 rec_control: $(REC_CONTROL_OBJECTS)
 	$(LINKCC) $(REC_CONTROL_OBJECTS) $(LDFLAGS) -o $@
 
+build-stamp:
+	$(MAKE) build
+
+build: pdns_recursor rec_control
+	touch build-stamp
+

=== ext/yahttp/Makefile ===
.SILENT:

all:
	$(MAKE) -C yahttp all

install:

uninstall:

distclean: clean

clean:
	$(MAKE) -C yahttp clean

check:

distdir:
	mkdir -p $(distdir)
	cp LICENSE Makefile $(distdir)
	mkdir $(distdir)/yahttp
	cp yahttp/Makefile yahttp/*.cpp yahttp/*.hpp $(distdir)/yahttp

=== ext/yahttp/yahttp/Makefile ===

all: libyahttp.a


clean:
	-rm -f *.o *.a


reqresp.o: *.cpp *.hpp


libyahttp.a: reqresp.o
	echo AR $@
	$(AR) rcs $@ $<

=== debian/changelog ===
pdns-recursor (3.6.1-2) unstable; urgency=medium

  * Drop patch 'pdns-recursor-less-chatty'
  * Ship native systemd unit file
  * Enable extra hardening flags (PIE, bindnow)
  * Add smoke test, testing example.org resolution

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 13 Sep 2014 19:21:43 +0200

pdns-recursor (3.6.1-1) unstable; urgency=high

  * Imported Upstream version 3.6.1
    Fixes security issue: CVE-2014-3614

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2014 22:55:49 +0200

pdns-recursor (3.6.0-2) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Update debian/copyright file
  * Remove boilerplate from debian/watch
  * Update init script options:
    Removed X-Start-After and X-Stop-Before, which were sent to irrelevant
    services, and updated Description fields.
  * Add status target to init script.
    Thanks to Iain Georgeson <debian@iain.georgeson.me.uk> (Closes: #730684)

  [ SATOH Fumiyasu ]
  * Enable resolvconf hooks only when $RESOLVCONF is set to 'yes'
    (Closes: #722659)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 24 Jun 2014 13:27:38 +0200

pdns-recursor (3.6.0-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0
  * Drop upstream applied patches 1443, 1444, 1445

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 20 Jun 2014 12:34:10 +0200

pdns-recursor (3.6.0~rc1-2) unstable; urgency=medium

  * Switch to Lua 5.2

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Jun 2014 20:12:24 +0200

pdns-recursor (3.6.0~rc1-1) unstable; urgency=medium

  * Imported Upstream version 3.6.0~rc1
  * Replace local patches with upstream PRs
    do-not-strip-binaries, hurd-ftbfs-patch, kfreebsd-ftbfs-patch and
    remove-pdns_hw-patch are now pending upstream approval and merge.
  * Add myself to Uploaders
  * Bump Standards-Version to 3.9.5

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 01 Jun 2014 17:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pdns-recursor
 Section: net
 Priority: extra
-Standards-Version: 3.9.4
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
-Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 9~), quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.1-0-dev
+Standards-Version: 3.9.5
+Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
+Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>, Christian Hofstaedtler <zeha@debian.org>
+Build-Depends: debhelper (>= 9~), dh-systemd, quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
 Vcs-Git: git://git.debian.org/pkg-pdns/pdns-recursor.git
 Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns-recursor.git
 Homepage: http://www.powerdns.com/

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,19 @@
 
 # Enable lua
 export LUA := 1
+export LUA_CPPFLAGS_CONFIG := $(shell pkg-config lua5.2 --cflags)
+export LUA_LIBS_CONFIG := $(shell pkg-config lua5.2 --libs)
+
+# Enable hardening features for daemons
+# Note: blhc (build log hardening check) will find these false positivies: CPPFLAGS 2 missing, LDFLAGS 1 missing
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
 
 # Use new build system
 %:
-	dh $@ --parallel
+	dh $@ --with systemd --parallel
+
+override_dh_auto_install:
+	dh_auto_install -- STRIP_BINARIES=0
 
 override_dh_strip:
 	dh_strip --dbg-package=pdns-recursor-dbg

## pdns-recursor 3.6.2

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 dns_random.o ext/polarssl-1.3.2/library/aes.o ext/polarssl-1.3.2/library/padlock.o dnslabeltext.o \
 lua-pdns.o lua-recursor.o randomhelper.o recpacketcache.o dns.o \
 reczones.o base32.o nsecrecords.o json.o ws-recursor.o ws-api.o \
-version.o responsestats.o webserver.o ext/yahttp/yahttp/reqresp.o \
-rec-carbon.o
+version.o responsestats.o webserver.o ext/yahttp/yahttp/reqresp.o ext/yahttp/yahttp/router.o \
+rec-carbon.o secpoll-recursor.o
 
 REC_CONTROL_OBJECTS=rec_channel.o rec_control.o arguments.o misc.o \
 	unix_utility.o logger.o qtype.o

=== debian/changelog ===
pdns-recursor (3.6.2-2+deb8u2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports (including the second security fix for
    CVE-2015-1868).

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 26 May 2016 20:17:40 +0000

pdns-recursor (3.6.2-2+deb8u2) jessie-security; urgency=high

  * Security update: apply second patch for CVE-2015-1868

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 08 Jul 2015 12:00:07 +0200

pdns-recursor (3.6.2-2+deb8u1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports (including the security fix for
    CVE-2015-1868).

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 24 Apr 2015 12:48:54 +0200

pdns-recursor (3.6.2-2+deb8u1) jessie-security; urgency=high

  * Security update: apply patch for CVE-2015-1868

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Apr 2015 19:18:46 +0200

pdns-recursor (3.6.2-2~bpo70+2) wheezy-backports; urgency=medium

  * Fix secpoll version.
  * Fix incorrect dpkg-dev dependency.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 24 Nov 2014 14:12:41 +0100

pdns-recursor (3.6.2-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Adapt for wheezy's dpkg-parsechangelog.
  * Remove systemd support because dh-systemd is unavailable.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 22 Nov 2014 10:10:34 +0100

pdns-recursor (3.6.2-2) unstable; urgency=medium

  * Set package vendor for security status polling.
    Requires directly including buildflags.mk so d/rules can modify
    CXXFLAGS. (Closes: #767701)
  * d/control: Update Vcs-Git and Vcs-Browser
  * Fix "smoke" autopkgtest.
    The test definition was incorrectly copied from the pdns-server
    package.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 15 Nov 2014 17:42:26 +0100

pdns-recursor (3.6.2-1) unstable; urgency=high

  * Imported Upstream version 3.6.2, a bugfix release (Closes: #767368)
  * Remove API key patch, which has been incorporated upstream.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Oct 2014 17:22:19 +0100

pdns-recursor (3.6.1-3) unstable; urgency=medium

  * Apply API key patch from upstream
  * Bump Standards-Version to 3.9.6 (no further changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Oct 2014 21:31:43 +0200

pdns-recursor (3.6.1-1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2014 23:13:12 +0200

pdns-recursor (3.6.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 09 Jul 2014 15:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pdns-recursor
 Section: net
 Priority: extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
 Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>, Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 9~), dh-systemd, quilt, dpkg-dev (>= 1.10.17), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
-Vcs-Git: git://git.debian.org/pkg-pdns/pdns-recursor.git
-Vcs-Browser: http://git.debian.org/?p=pkg-pdns/pdns-recursor.git
+Build-Depends: debhelper (>= 9~), quilt, dpkg-dev (>= 1.16.1~), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
+Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns-recursor.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns-recursor.git
 Homepage: http://www.powerdns.com/
 
 Package: pdns-recursor

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,17 @@
 # Enable hardening features for daemons
 # Note: blhc (build log hardening check) will find these false positivies: CPPFLAGS 2 missing, LDFLAGS 1 missing
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
+DPKG_EXPORT_BUILDFLAGS = 1
+# Include buildflags.mk so we can append to the vars it sets.
+include /usr/share/dpkg/buildflags.mk
+
+# Vendor and version (after buildflags.mk so we don't overwrite CXXFLAGS)
+version := $(shell dpkg-parsechangelog | awk -F': ' '/^Version/{ print $$2 }').$(shell dpkg-vendor --query Vendor)
+CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Use new build system
 %:
-	dh $@ --with systemd --parallel
+	dh $@ --parallel
 
 override_dh_auto_install:
 	dh_auto_install -- STRIP_BINARIES=0

## pdns-recursor 3.7.3

=== debian/changelog ===
pdns-recursor (3.7.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 22 Jun 2015 22:47:41 +0200

pdns-recursor (3.7.3-1) unstable; urgency=medium

  * Imported Upstream version 3.7.3 (prevent short bursts of high
    resource usage with malformed qnames).

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 14 Jun 2015 21:18:28 +0200

pdns-recursor (3.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 30 Apr 2015 20:36:18 +0200

pdns-recursor (3.7.2-1) unstable; urgency=medium

  * Stop recommending long gone pdns-doc package
  * Imported Upstream version 3.7.2 (Fixes CVE-2015-1868)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 21 Apr 2015 19:13:05 +0200

pdns-recursor (3.7.1-1) unstable; urgency=medium

  * Imported Upstream version 3.7.1

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 14 Apr 2015 22:30:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Standards-Version: 3.9.6
 Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
 Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>, Marc Haber <mh+debian-packages@zugschlus.de>, Christian Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, dpkg-dev (>= 1.16.1~), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
+Build-Depends: debhelper (>= 9~), dh-systemd, quilt, dpkg-dev (>= 1.17.0~), libboost-dev, libboost-serialization-dev, liblua5.2-dev, pkg-config
 Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns-recursor.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns-recursor.git
 Homepage: http://www.powerdns.com/
@@ -13,7 +13,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
 Replaces: pdns
-Recommends: pdns-doc
 Description: PowerDNS recursor
  PowerDNS is a versatile nameserver which supports a large number
  of different backends ranging from simple zonefiles to relational

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 include /usr/share/dpkg/buildflags.mk
 
 # Vendor and version (after buildflags.mk so we don't overwrite CXXFLAGS)
-version := $(shell dpkg-parsechangelog | awk -F': ' '/^Version/{ print $$2 }').$(shell dpkg-vendor --query Vendor)
+version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Use new build system
 %:
-	dh $@ --parallel
+	dh $@ --with systemd --parallel
 
 override_dh_auto_install:
 	dh_auto_install -- STRIP_BINARIES=0

## pdns-recursor 4.0.0~alpha2

=== debian/changelog ===
pdns-recursor (4.0.0~alpha2-2ubuntu0.1) xenial; urgency=medium

  * Apply patch from upstream to not fail on FORMERR response to EDNS.
    LP: #1646538

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Dec 2016 14:46:14 +0100

pdns-recursor (4.0.0~alpha2-2) unstable; urgency=medium

  * Apply patch from upstream to fix build without
    boost::context, hopefully fixing missing builds on arm64, s390x.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 28 Mar 2016 12:15:09 +0000

pdns-recursor (4.0.0~alpha2-1) unstable; urgency=medium

  * New Upstream version 4.0.0~alpha2, with autotools build system.
    (Closes: #809091)
  * Disable DNSSEC processing for this release, per upstream recommendation.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 09 Mar 2016 15:22:59 +0000

pdns-recursor (4.0.0~alpha1-3) unstable; urgency=medium

  * Update systemd unit file from upstream
  * Drop pdns-recursor-dbg in favor of automated dbgsym packages
  * Disable secpoll by default
  * Use root hints from dns-root-data package (Closes: #760470)
  * Drop Build-Depends: quilt, as we just rely on dpkg-source
  * Increase LimitNOFILE to a size suitable for default mthreads

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 25 Feb 2016 00:02:07 +0000

pdns-recursor (4.0.0~alpha1-2) unstable; urgency=medium

  * Manage daemon flag in init script, not in config file.
    For users that get this wrong in their recursor.conf.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 26 Dec 2015 23:25:30 +0000

pdns-recursor (4.0.0~alpha1-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0~alpha1
  * debian/watch: Add upstream signature check
  * Update debian/copyright
  * Generate recursor.conf during build
  * Install example files
  * Enable reproducible build

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 25 Dec 2015 17:47:26 +0000

=== debian/control ===
Source: pdns-recursor
Section: net
Priority: extra
Standards-Version: 3.9.7
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>,
           Marc Haber <mh+debian-packages@zugschlus.de>,
           Christian Hofstaedtler <zeha@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9~),
               dh-autoreconf,
               dh-systemd,
               dpkg-dev (>= 1.17.0~),
               libboost-all-dev,
               liblua5.2-dev,
               libssl-dev,
               pkg-config
Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns-recursor.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns-recursor.git
Homepage: http://www.powerdns.com/

Package: pdns-recursor
Architecture: any
Depends: adduser,
         dns-root-data,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: pdns
Description: PowerDNS recursor
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the recursive nameserver that goes out to the internet and
 resolve queries about other domains.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening features for daemons
# Note: blhc (build log hardening check) will find these false positivies: CPPFLAGS 2 missing, LDFLAGS 1 missing
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
DPKG_EXPORT_BUILDFLAGS = 1
# Include buildflags.mk so we can append to the vars it sets.
include /usr/share/dpkg/buildflags.mk

# Vendor and version (after buildflags.mk so we don't overwrite CXXFLAGS)
version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
CXXFLAGS += -DPACKAGEVERSION='"$(version)"'

# for atomic support on mips(el)
LDFLAGS += -latomic

# Use new build system
%:
	dh $@ \
		--with autoreconf \
		--with systemd \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/powerdns \
		--enable-reproducible \
		--with-lua

override_dh_auto_install:
	dh_auto_install
	rm -f debian/pdns-recursor/etc/powerdns/recursor.conf-dist
	./pdns_recursor --no-config --config | sed \
		-e 's!# config-dir=.*!config-dir=/etc/powerdns!' \
		-e 's!# local-address=.*!local-address=127.0.0.1!' \
		-e 's!# quiet=.*!quiet=yes!' \
		-e 's!# setgid=.*!setgid=pdns!' \
		-e 's!# setuid=.*!setuid=pdns!' \
		-e 's!# hint-file=.*!&\nhint-file=/usr/share/dns/root.hints!' \
		-e 's!# security-poll-suffix=.*!&\nsecurity-poll-suffix=!' \
		> debian/pdns-recursor/etc/powerdns/recursor.conf

override_dh_strip:
	dh_strip --ddeb-migration='pdns-recursor-dbg'

override_dh_installinit:
	dh_installinit --error-handler=initscript_error -- defaults 19 85

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts="pgpsigurlmangle=s/$/.asc/" http://downloads.powerdns.com/releases/	pdns-recursor-(.*)\.tar\.bz2	debian	uupdate
